# PhasicFlow: src/phasicFlow/containers/triSurfaceField/triSurfaceFields.hpp File Reference

triSurfaceFields.hpp File Reference
Include dependency graph for triSurfaceFields.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Typedefs

using | realTriSurfaceField_D = triSurfaceField< VectorSingle, real >
using | realTriSurfaceField_H = triSurfaceField< VectorSingle, real, HostSpace >
using | realx3TriSurfaceField_D = triSurfaceField< VectorSingle, realx3 >
using | realx3TriSurfaceField_H = triSurfaceField< VectorSingle, realx3, HostSpace >
using | realTriSurfaceField_HD = triSurfaceField< VectorDual, real >
using | realx3TriSurfaceField_HD = triSurfaceField< VectorDual, realx3 >
using | realTriSurfaceField = triSurfaceField< Vector, real, vecAllocator< real > >
using | realx3TriSurfaceField = triSurfaceField< Vector, realx3, vecAllocator< realx3 > >
using | int8TriSurfaceField_D = triSurfaceField< VectorSingle, int8 >
using | int8TriSurfaceField_H = triSurfaceField< VectorSingle, int8, HostSpace >
using | int8TriSurfaceField_HD = triSurfaceField< VectorDual, int8 >
using | int8TriSurfaceField = triSurfaceField< Vector, int8, vecAllocator< real > >